diff options
author | Joey Hess <joey@kitenet.net> | 2012-12-10 15:19:33 -0400 |
---|---|---|
committer | Joey Hess <joey@kitenet.net> | 2012-12-10 15:22:02 -0400 |
commit | 3a3dc08b7d389db8995b068e332776e34992a3b9 (patch) | |
tree | 6cda7a77aa75ebb599647a6667f754ce3134c3b8 /Makefile | |
parent | f9c0ae102f4d8ec08104b2a9b6238ef518bb8549 (diff) |
require all THIRDPARTY_BINS be present to build standalone/app
It's just not acceptable for eg, lsof to be left out.
Diffstat (limited to 'Makefile')
-rw-r--r-- | Makefile | 18 |
1 files changed, 16 insertions, 2 deletions
@@ -160,8 +160,15 @@ linuxstandalone: ln -sf git-annex "$(LINUXSTANDALONE_DEST)/bin/git-annex-shell" zcat standalone/licences.gz > $(LINUXSTANDALONE_DEST)/LICENSE + set -e; \ for bin in $(THIRDPARTY_BINS); do \ - cp "$$(which "$$bin")" "$(LINUXSTANDALONE_DEST)/bin/" || echo "failed to install $$bin"; \ + p="$$(which "$$bin")"; \ + if [ -z "$$p" ]; then \ + echo "** missing $$bin" >&2; \ + exit 1; \ + else \ + cp "$$p" "$(LINUXSTANDALONE_DEST)/bin/"; \ + fi; \ done install -d "$(LINUXSTANDALONE_DEST)/git-core" @@ -199,8 +206,15 @@ osxapp: gzcat standalone/licences.gz > $(OSXAPP_BASE)/LICENSE cp $(OSXAPP_BASE)/LICENSE $(GIT_ANNEX_TMP_BUILD_DIR)/build-dmg/LICENSE.txt + set -e; \ for bin in $(THIRDPARTY_BINS); do \ - cp "$$(which "$$bin")" "$(OSXAPP_BASE)" || echo "failed to install $$bin"; \ + p="$$(which "$$bin")"; \ + if [ -z "$$p" ]; then \ + echo "** missing $$bin" >&2; \ + exit 1; \ + else \ + cp "$$p" "$(OSXAPP_BASE)"; \ + fi; \ done (cd "$(shell git --exec-path)" && tar c .) | (cd "$(OSXAPP_BASE)" && tar x) |